com.typesafe.config

## Interface ConfigList

All Superinterfaces:
  Collection<ConfigValue>, ConfigMergeable, ConfigValue, Iterable<ConfigValue>, List<ConfigValue>

    public interface ConfigList
    extends List<ConfigValue>, ConfigValue

Subtype of `ConfigValue` representing a list value, as in JSON's `[1,2,3]` syntax.

`ConfigList` implements `java.util.List<ConfigValue>` so you can use it like a regular Java list. Or call `unwrapped()` to unwrap the list elements into plain Java values.

Like all `ConfigValue` subtypes, `ConfigList` is immutable. This makes it threadsafe and you never have to create "defensive copies." The mutator methods from `List` all throw `UnsupportedOperationException`.

The `ConfigValue.valueType()` method on a list returns `ConfigValueType.LIST`.

Do not implement `ConfigList`; it should only be implemented by the config library. Arbitrary implementations will not work because the library internals assume a specific concrete implementation. Also, this interface is likely to grow new methods over time, so third-party implementations will break.

### Method Summary

Methods
`List<Object>` `unwrapped()` Recursively unwraps the list, returning a list of plain Java values such as Integer or String or whatever is in the list.

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

### Methods inherited from interface com.typesafe.config.ConfigValue

`origin, render, render, valueType, withFallback`

### Method Detail

#### unwrapped

    List<Object> unwrapped()

Recursively unwraps the list, returning a list of plain Java values such as Integer or String or whatever is in the list.

Specified by:
  `unwrapped` in interface `ConfigValue`